package Authen::WEIS::Util;

use 5.006;
use strict;
use warnings;

use Carp;

require Exporter;
use vars qw(@EXPORT @EXPORT_OK %EXPORT_TAGS @ISA $VERSION);

$VERSION = '0.01';
@ISA = qw(Exporter);
@EXPORT = ();
@EXPORT_OK = qw(param is_valid_url);
%EXPORT_TAGS = (all => [ @EXPORT, @EXPORT_OK ]);


# accessor for parameters
sub param ($$) {
    my ($q, $n) = @_;
    if (ref($q) eq 'HASH') {
	return defined($q->{$n}) ? $q->{$n} : undef;
    }
    return $q->param($n);
}

# checks url
sub is_valid_url ($@) {
    my ($url, $opts) = @_;
    return unless defined($url);
    if ($url =~ m|^https://|) {
	return 1;
    }
    if (! (defined($opts) && defined($opts->{secure}) && $opts->{secure})) {
	if ($url =~ m|^http://|) {
	    return 1;
	}
    }
    return;
}

1;
__END__

=head1 NAME

Authen::WEIS::Util

=head1 DESCRIPTION

No public interfaces.

=head1 SEE ALSO

L<Authen::WEIS>

=head1 AUTHOR

Kazuho Oku E<lt>kazuhooku ___at___ gmail.comE<gt>

Copyright (C) 2006  Cybozu Labs, Inc.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.7 or, at your option, any later version of Perl 5 you may have available.

=cut
